Summary: Programs for X11 from the contrib tapes
Name: X11R6-contrib
Version: 3.1.2
Release: 6
Copyright: MIT
Group: X11/XFree86
Source0: ftp.x.org:/pub/xc/contrib-1.tar.gz
Source1: ftp.x.org:/pub/xc/contrib-2.tar.gz
Source2: ftp.x.org:/pub/xc/contrib-3.tar.gz
Source3: ftp.x.org:/pub/xc/contrib-4.tar.gz
Patch0: ftp.xfree86.org:/XFree86-contrib-3.1.2.diff.gz
Patch1: x11r6-contrib-3.1.2-rhs.patch
Patch2: x11r6-contrib-3.1.2-mandoc.patch
Patch3: x11r6-contrib-3.1.2-sparc.patch

%description
This is a collection of X programs from X11R6's contrib tape, which contains
programs contributed by various users. It includes listres, xbiff, xedit,
xeyes, xcalcm, xload, and xman amoung others.

%prep

%setup -T -c -a 0
%setup -T -D -a 1
%setup -T -D -a 2
%setup -T -D -a 3

%patch0 -p0
%patch1 -p1
%patch2 -p1
%patch3 -p1

%build

cd contrib
xmkmf -a
make

%install

cd contrib
make install
make install.man

%files
/usr/X11R6/bin/ico
/usr/X11R6/bin/listres
/usr/X11R6/bin/showfont
/usr/X11R6/bin/viewres
/usr/X11R6/bin/xbiff
/usr/X11R6/bin/xcalc
/usr/X11R6/bin/xditview
/usr/X11R6/bin/xedit
/usr/X11R6/bin/xev
/usr/X11R6/bin/xeyes
/usr/X11R6/bin/xfontsel
/usr/X11R6/bin/xgc
/usr/X11R6/bin/xload
/usr/X11R6/bin/xman
/usr/X11R6/bin/xmessage
/usr/X11R6/include/X11/bitmaps/ldblarrow
/usr/X11R6/include/X11/bitmaps/rdblarrow
/usr/X11R6/lib/X11/app-defaults/Viewres
/usr/X11R6/lib/X11/app-defaults/XCalc
/usr/X11R6/lib/X11/app-defaults/XCalc-color
/usr/X11R6/lib/X11/app-defaults/XFontSel
/usr/X11R6/lib/X11/app-defaults/XLoad
/usr/X11R6/lib/X11/app-defaults/Xditview
/usr/X11R6/lib/X11/app-defaults/Xditview-chrtr
/usr/X11R6/lib/X11/app-defaults/Xedit
/usr/X11R6/lib/X11/app-defaults/Xgc
/usr/X11R6/lib/X11/app-defaults/Xman
/usr/X11R6/lib/X11/app-defaults/Xmessage
/usr/X11R6/lib/X11/xman.help
/usr/X11R6/man/man1/ico.1x
/usr/X11R6/man/man1/listres.1x
/usr/X11R6/man/man1/showfont.1x
/usr/X11R6/man/man1/viewres.1x
/usr/X11R6/man/man1/xbiff.1x
/usr/X11R6/man/man1/xcalc.1x
/usr/X11R6/man/man1/xditview.1x
/usr/X11R6/man/man1/xedit.1x
/usr/X11R6/man/man1/xev.1x
/usr/X11R6/man/man1/xeyes.1x
/usr/X11R6/man/man1/xfontsel.1x
/usr/X11R6/man/man1/xgc.1x
/usr/X11R6/man/man1/xload.1x
/usr/X11R6/man/man1/xman.1x
/usr/X11R6/man/man1/xmessage.1x
